.nav {
    display: none;

    @include media-breakpoint-up(lg) {
        top: rem(73);
        left: 0;
        right: 0;
        display: block;
        z-index: 850;
        position: fixed;
        border-bottom: 1px solid rgba(255, 255, 255, 0.15);
        background: var(--blue-75);
        backdrop-filter: blur(5px);

        &__menu {
            margin: 0;
            padding: 0;
            display: flex;
            align-items: center;
            justify-content: space-between;
            list-style: none;
            font-weight: 500;
            font-size: rem(13);
            line-height: rem(15);

            > li {
                position: relative;

                > a {
                    color: white;
                    text-decoration: none;
                    height: rem(46);
                    white-space: nowrap;
                    display: flex;
                    align-items: center;
                    transition: .25s;

                    &:hover {
                        color: white;
                        text-decoration: underline;
                        transition: .25s;
                    }
                }

                &:hover {

                    ul {
                        opacity: 1;
                        visibility: visible;
                    }
                }
            }

            ul {
                left: 0;
                margin: 0;
                list-style: none;
                padding: rem(30);
                min-width: 100%;
                white-space: nowrap;
                position: absolute;
                border-radius: 0px 0px 8px 8px;
                background: var(--white, #FFF);
                box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
                opacity: 0;
                visibility: hidden;

                > li {

                    &:not(:last-child) {
                        margin-bottom: rem(25);
                    }

                    > a {
                        color: var(--black);
                        text-decoration: none;
                        transition: .25s;

                        &:hover {
                            color: var(--blue);
                            text-decoration: none;
                            transition: .25s;
                        }
                    }
                }
            }
        }
    }
    @include media-breakpoint-up(xl) {}
    @include media-breakpoint-up(xxl) {}
}

.nav-mobile {
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 990;
    width: rem(290);
    position: fixed;
    background: white;
    transform: translateX(-400px);
    transition: .3s;

    &__close {
        top: 22px;
        left: calc(100% + 10px);
        padding: 0;
        margin: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: 36px;
        height: 36px;
        cursor: pointer;
        background: white;
        border-radius: 50%;
        position: absolute;
        box-shadow: 8px -5px 8px 0px rgba(39, 18, 145, 0.4);

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 11px);
            width: 22px;
            height: 2px;
            content: '';
            display: block;
            position: absolute;
            background: var(--blue);
        }

        &:after {
            transform: rotate(45deg);
        }

        &:before {
            transform: rotate(-45deg);
        }
    }

    &__main {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
        padding: rem(16) rem(12);
        overflow-y: auto;
    }

    &__logo {
        display: block;
        width: rem(120);
        margin-bottom: rem(10);
    }

    &__text {
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(18);
        margin-bottom: rem(25);
    }

    &__body {
        display: grid;
        grid-row-gap: rem(12);
        grid-template-columns: 1fr;
    }

    &__header {
        min-height: rem(27);
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(16);
        display: flex;
        align-items: center;
    }

    &__title {
        display: block;
        color: var(--dark-blue);
        text-decoration: midnightblue;
    }

    &__toggle {
        font-size: 0;
        line-height: 0;
        width: rem(18);
        height: rem(18);
        flex-shrink: 0;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: flex-start;
    }

    &__arrow {
        width: rem(12);
        height: rem(12);
        flex-shrink: 0;
        display: block;
        transform: rotate(0deg) translateX(0px);
        transition: .25s;
    }

    &__content {
        font-weight: 500;
        font-size: rem(13);
        line-height: rem(16);
        padding-left: rem(18);
    }

    &__menu {
        margin: 0;
        padding: rem(20) 0 0 0;
        list-style: none;
        display: grid;
        grid-row-gap: rem(15);
        grid-template-columns: 1fr;
    }

    &__link {
        color: var(--black);
        text-decoration: none;

        &:hover {
            color: var(--blue);
            text-decoration: none;
        }
    }

    &__group {

        &.open {

            .nav-mobile__arrow {
                transform: rotate(90deg) translateX(3px);
                transition: .25s;
            }
        }
    }

    &__contact {
        margin-top: rem(30);
        margin-bottom: rem(30);
    }

    &__phone {
        color: var(--dark);
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(22);
        text-decoration: underline;
    }

    &__address {
        color: var(--dark);
        font-size: rem(14);
        line-height: rem(17);
        margin-top: rem(2);
    }

    &__social {
        display: flex;
        align-items: center;
        column-gap: rem(10);
        margin-bottom: rem(30);
    }

    &__email {

    }
}

.nav-mobile-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 950;
    position: fixed;
    border-bottom: 1px solid rgba(255, 255, 255, 0.15);
    background: rgba(101, 176, 220,.35);
    backdrop-filter: blur(5px);
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    @include media-breakpoint-up(lg) {
        display: none !important;
    }
}

.nav-open {
    overflow: hidden;

    .nav-mobile {
        transform: translateX(0);
        transition: .3s;
    }

    .nav-mobile-layout {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    @include media-breakpoint-up(lg) {
        overflow: visible;
    }
}
